wrror updating dietpi

Having issues with your DietPi installation or found a bug? Post it here.
Tarrasque
Posts: 23
Joined: Wed Jun 26, 2019 11:13 am

Re: wrror updating dietpi

Post by Tarrasque »

The uninstallation process worked fine, but the installation returned the usual mariadb-server-10.1 configuration error

NOTE: I see this line:

/var/lib/mysql: found previous version 10.1

might it be of relevance?



Code: Select all

dietpi@DietPi:~$ sudo apt install mariadb-server
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libbluray2 libicu64
Usare "sudo apt autoremove" per rimuoverli.
The following additional packages will be installed:
  mariadb-server-10.1
Pacchetti suggeriti:
  mailx mariadb-test netcat-openbsd tinyca
Pacchetti raccomandati:
  libhtml-template-perl
I seguenti pacchetti NUOVI saranno installati:
  mariadb-server mariadb-server-10.1
0 aggiornati, 2 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 4.716 kB di archivi.
Dopo quest'operazione, verranno occupati 73,0 MB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://ftp.arnes.si/mirrors/raspbian/raspbian stretch/main armhf mariadb-server-10.1 armhf 10.1.47-0+deb9u1 [4.688 kB]
Scaricamento di:2 http://ftp.arnes.si/mirrors/raspbian/raspbian stretch/main armhf mariadb-server all 10.1.47-0+deb9u1 [27,6 kB]
Recuperati 4.716 kB in 2s (1.650 kB/s)    
Preconfiguring packages ...
Selezionato il pacchetto mariadb-server-10.1 non precedentemente selezionato.
(Lettura del database... 81327 file e directory attualmente installati.)
Preparativi per estrarre .../mariadb-server-10.1_10.1.47-0+deb9u1_armhf.deb...
/var/lib/mysql: found previous version 10.1
Estrazione di mariadb-server-10.1 (10.1.47-0+deb9u1)...
Selezionato il pacchetto mariadb-server non precedentemente selezionato.
Preparativi per estrarre .../mariadb-server_10.1.47-0+deb9u1_all.deb...
Estrazione di mariadb-server (10.1.47-0+deb9u1)...
Elaborazione dei trigger per systemd (232-25+deb9u12)...
Configurazione di mariadb-server-10.1 (10.1.47-0+deb9u1)...
dpkg: errore nell'elaborare il pacchetto  (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
dpkg: problemi con le dipendenze impediscono la configurazione di mariadb-server:
 mariadb-server dipende da mariadb-server-10.1 (>= 10.1.47-0+deb9u1); comunque:
  Il pacchetto mariadb-server-10.1 non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto mariadb-server (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 mariadb-server-10.1
 mariadb-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
User avatar
Joulinar
Posts: 5149
Joined: Sat Nov 16, 2019 12:49 am

Re: wrror updating dietpi

Post by Joulinar »

@MichaIng
Any idea what could prevent system from reinstall mariadb-server-10.1

@Tarrasque
yes /var/lib/mysql is still present. May aim was to keep this data as it contain your actual database configuration
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
MichaIng
Site Admin
Posts: 3106
Joined: Sat Nov 18, 2017 6:21 pm

Re: wrror updating dietpi

Post by MichaIng »

Let's see:

Code: Select all

apt install mariadb-server-10.1
One needs to attempt to install dependencies explicitly to see which other packages prevent their install. It does not show the whole tale.
Tarrasque
Posts: 23
Joined: Wed Jun 26, 2019 11:13 am

Re: wrror updating dietpi

Post by Tarrasque »

Here it is.

More or less the issue sems the same. It fails during the configure step.

P.S. let me thank you all for the time and effort you're putting in helping me with my issue. Really appreciated.


Code: Select all

dietpi@DietPi:/mnt/storage/aMule/Completed$ sudo apt install mariadb-server-10.1
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
mariadb-server-10.1 is already the newest version (10.1.47-0+deb9u1).
È stato impostato mariadb-server-10.1 per l'installazione manuale.
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libbluray2 libicu64
Usare "sudo apt autoremove" per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
2 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Continuare? [S/n] s
Configurazione di mariadb-server-10.1 (10.1.47-0+deb9u1)...
dpkg: errore nell'elaborare il pacchetto mariadb-server-10.1 (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
dpkg: problemi con le dipendenze impediscono la configurazione di mariadb-server:
 mariadb-server dipende da mariadb-server-10.1 (>= 10.1.47-0+deb9u1); comunque:
  Il pacchetto mariadb-server-10.1 non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto mariadb-server (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 mariadb-server-10.1
 mariadb-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
User avatar
Joulinar
Posts: 5149
Joined: Sat Nov 16, 2019 12:49 am

Re: wrror updating dietpi

Post by Joulinar »

@MichaIng
could it be some file system corruption preventing dpkg to complete configuration step?
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
MichaIng
Site Admin
Posts: 3106
Joined: Sat Nov 18, 2017 6:21 pm

Re: wrror updating dietpi

Post by MichaIng »

Not sure, error code 1 :?.

What does the following say?

Code: Select all

dpkg --configure mariadb-server-10.1
Tarrasque
Posts: 23
Joined: Wed Jun 26, 2019 11:13 am

Re: wrror updating dietpi

Post by Tarrasque »

Here it is

Code: Select all

dietpi@DietPi:/mnt/storage/JDownloader$ sudo dpkg --configure mariadb-server-10.1 
Configurazione di mariadb-server-10.1 (10.1.47-0+deb9u1)...
dpkg: errore nell'elaborare il pacchetto mariadb-server-10.1 (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
 mariadb-server-10.1
User avatar
MichaIng
Site Admin
Posts: 3106
Joined: Sat Nov 18, 2017 6:21 pm

Re: wrror updating dietpi

Post by MichaIng »

Let's run that postinst script in verbose mode:

Code: Select all

bash -e -x /var/lib/dpkg/info/mariadb-server-10.1.postinst
This will produce likely a lot of output, but it's the only way to see where/why it fails.
Tarrasque
Posts: 23
Joined: Wed Jun 26, 2019 11:13 am

Re: wrror updating dietpi

Post by Tarrasque »

Code: Select all

dietpi@DietPi:~$ sudo bash -e -x /var/lib/dpkg/info/mariadb-server-10.1.postinst
+ . /usr/share/debconf/confmodule
++ '[' '!' '' ']'
++ PERL_DL_NONLAZY=1
++ export PERL_DL_NONLAZY
++ '[' '' ']'
++ exec /usr/share/debconf/frontend /var/lib/dpkg/info/mariadb-server-10.1.postinst
Use of uninitialized value $action in string eq at /usr/share/debconf/frontend line 27.
postinst called with unknown argument ''
User avatar
MichaIng
Site Admin
Posts: 3106
Joined: Sat Nov 18, 2017 6:21 pm

Re: wrror updating dietpi

Post by MichaIng »

Whoops sorry, I forgot the configure argument:

Code: Select all

bash -e -x /var/lib/dpkg/info/mariadb-server-10.1.postinst configure
Post Reply